I made a compromise and took out the .NET version check for Multi-Monitor Wallpaper Stitcher.  It will install just fine without any version of .NET installed, but you'll run into issues if you don't have version 4.0 or later.  There's a link to the latest version of .NET on the MMWS page, but if you've got Windows 7, I believe it's installed by default.